Name:       perl-MooseX-MethodAttributes
Version:    0.15
Release:    1%{?dist}
# lib/MooseX/MethodAttributes.pm -> GPL+ or Artistic
License:    GPL+ or Artistic
Group:      Development/Libraries
Summary:    Introspect your method code attributes
Source:     http://search.cpan.org/CPAN/authors/id/B/BO/BOBTFISH/MooseX-MethodAttributes-%{version}.tar.gz
Url:        http://search.cpan.org/dist/MooseX-MethodAttributes
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose) >= 0.79
BuildRequires: perl(MooseX::Types) >= 0.06
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(namespace::clean)
# testing
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Exception)

### auto-added reqs!
Requires:       perl(MRO::Compat)
Requires:       perl(Moose) >= 0.79
Requires:       perl(MooseX::Types) >= 0.06
Requires:       perl(namespace::clean)

%description
This module allows code attributes of methods to be introspected using
Moose meta method objects.


%prep
%setup -q -n MooseX-MethodAttributes-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Wed Aug 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.15-1
- auto-update to 0.15 (by cpan-spec-update 0.01)
- added a new br on perl(MRO::Compat) (version 0)
- added a new req on perl(MRO::Compat) (version 0)
- added a new req on perl(Moose) (version 0.79)
- added a new req on perl(MooseX::Types) (version 0.06)
- added a new req on perl(namespace::clean) (version 0)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 09 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.14-1
- auto-update to 0.14 (by cpan-spec-update 0.01)

* Mon Jun 08 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.13-1
- auto-update to 0.13 (by cpan-spec-update 0.01)

* Wed May 27 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.12-1
- add br on Test::Exception (missing as a test/br:
  https://rt.cpan.org/Ticket/Display.html?id=46396)
- auto-update to 0.12 (by cpan-spec-update 0.01)

* Thu May 21 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.11-1
- auto-update to 0.11 (by cpan-spec-update 0.01)
- altered br on perl(Moose) (0.70 => 0.79)

* Mon Apr 20 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.06-2
- must remember to check summary! *sigh*

* Mon Apr 20 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.06-1
- submission

* Mon Apr 20 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.06-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)
